<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    tools:context=".uiview.DetailActivity">


    <ImageView
        android:id="@+id/imageview_preview"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="centerCrop" />


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_marginTop="40dp"
        android:orientation="horizontal">
        <ImageView
            android:id="@+id/imageview_back"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:layout_marginStart="15dp"
            android:padding="13dp"
            android:src="@drawable/ic_back_white"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
        <View
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_weight="1"/>
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="15dp"
            android:orientation="horizontal">
            <ImageView
                android:id="@+id/image_favorite"
                android:layout_width="46dp"
                android:layout_height="46dp"
                android:layout_marginHorizontal="10dp"
                android:background="@drawable/list_back_oval"
                android:padding="13dp"
                android:paddingTop="10dp"
                android:paddingBottom="10dp"
                android:src="@drawable/selector_likewhite" />
            <RelativeLayout
                android:id="@+id/layout_download"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="10dp"
                android:background="@drawable/list_back_oval">

                <ImageView
                    android:id="@+id/image_download"
                    android:layout_width="46dp"
                    android:layout_height="46dp"
                    android:layout_centerInParent="true"
                    android:padding="13dp"
                    android:src="@drawable/ic_down_local" />

                <ProgressBar
                    android:id="@+id/pb_download"
                    android:layout_width="46dp"
                    android:layout_height="46dp"
                    android:layout_centerInParent="true"
                    android:indeterminateTint="@color/white"
                    android:padding="13dp"
                    android:visibility="gone" />
            </RelativeLayout>
        </LinearLayout>
    </LinearLayout>



    <com.newapp.paperwall.tools.CustTxtView
        android:id="@+id/tv_content"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:minHeight="40dp"
        android:padding="10dp"
        android:text="@string/app_name"
        android:textColor="@color/white"
        android:textSize="13sp"
        app:apply_font="true"
        android:layout_marginBottom="130dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"/>

    <RelativeLayout
        android:id="@+id/layout_set"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@drawable/btn_apply"
        android:layout_marginTop="20dp"
        app:layout_constraintTop_toBottomOf="@id/tv_content"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent">

        <ImageView
            android:id="@+id/button_set"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_centerVertical="true"
            android:layout_marginStart="15dp"
            android:paddingTop="3dp"
            android:src="@drawable/ic_wallpaper"/>
        <TextView
            android:id="@+id/txApply"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/apply"
            android:textColor="#CD5C5C"
            android:layout_centerVertical="true"
            android:textSize="16sp"
            android:textStyle="bold"
            android:layout_marginVertical="10dp"
            android:layout_marginStart="38dp"
            android:layout_marginEnd="20dp"/>

        <ProgressBar
            android:id="@+id/pb_set"
            android:layout_width="46dp"
            android:layout_height="46dp"
            android:layout_centerInParent="true"
            android:indeterminateTint="@color/white"
            android:padding="13dp"
            android:visibility="gone" />
    </RelativeLayout>


</androidx.constraintlayout.widget.ConstraintLayout>